clear all;
close all;
clc;

Objects={'Ball','Mug','Rectangle','SmallBall'};

%%%% Load Data %%%%

for o=1:3
    for t=1:5
Subject.Object{o}.Trial{t}.Cyberglove = load(sprintf('Experiments/%s/CybergloveData_Subject1_%s_Trial%d.txt',Objects{o},Objects{o},t));
    end
end

for o=4
    for t=1:4
Subject.Object{o}.Trial{t}.Cyberglove = load(sprintf('Experiments/%s/CybergloveData_Subject1_%s_Trial%d.txt',Objects{o},Objects{o},t));
    end
end

%%%% Resample Data - Every 1 ms %%%%

for o=1:3
    for t=1:5
        for i=1:22
Subject.Object{o}.Trial{t}.rCyberglove(:,i) = time_resample(Subject.Object{o}.Trial{t}.Cyberglove(:,i),Subject.Object{o}.Trial{t}.Cyberglove(:,23));
        end
    end
end

for o=4
    for t=1:4
        for i=1:22
Subject.Object{o}.Trial{t}.rCyberglove(:,i) = time_resample(Subject.Object{o}.Trial{t}.Cyberglove(:,i),Subject.Object{o}.Trial{t}.Cyberglove(:,23));
        end
    end
end

%%%% Smooth Data - Butterworth Filter %%%%

for o=1:3
    for t=1:5
        for i=1:22
Subject.Object{o}.Trial{t}.fCyberglove(:,i) = myButter(Subject.Object{o}.Trial{t}.rCyberglove(:,i),1000,7);
        end
    end
end

for o=4
    for t=1:4
        for i=1:22
Subject.Object{o}.Trial{t}.fCyberglove(:,i) = myButter(Subject.Object{o}.Trial{t}.rCyberglove(:,i),1000,7);
        end
    end
end

save -mat Subject.mat Subject

