% This function takes as input collected data
% and time in seconds (the should be a linear function of time)
% and resamples the data so as to give values every 1 msec

function [y, t]=time_resample(Data, time)

time=round(time*1000);

y=[];
t=[];

for i=1:length(time)-1
    
lamda=(Data(i+1)-Data(i))/(time(i+1)-time(i));
t=[t;(time(i):(time(i+1)-1))'];    
y=[y;Data(i)+lamda*([(time(i):(time(i+1)-1))']-time(i))];

end
