function Signal_filtered = myButter(Signal, frequency, cut_frequency)

if ( ~isempty(Signal)  && min(size(Signal)) == 1  )
    Signal = max(Signal, 0.0001);
    [b_low, a_low] = butter(4, ((cut_frequency) / (frequency/2)), 'low');
    Signal_filtered = filtfilt(b_low, a_low, Signal);
else
    error('MATLAB:badopt','Error at Butter4_Low_Pass_Filter function');
end